summaryrefslogtreecommitdiffstats
path: root/source/xfce/garcon/garcon.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce/garcon/garcon.SlackBuild')
-rwxr-xr-xsource/xfce/garcon/garcon.SlackBuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/source/xfce/garcon/garcon.SlackBuild b/source/xfce/garcon/garcon.SlackBuild
index 3954dc4e9..405d00aac 100755
--- a/source/xfce/garcon/garcon.SlackBuild
+++ b/source/xfce/garcon/garcon.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=garcon
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -80,6 +80,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/0001-Fix-use-after-free-crash-Bug-15679.patch.gz | patch -p1 --verbose || exit 1
+
if [ ! -r configure ]; then
NOCONFIGURE=1 ./autogen.sh
fi